list: API endpoint for returning a list of creatures.
retrieve: API endpoint for returning a particular creature.

GET /v2/creatures/?format=api&ordering=truesight_range&page=69
HTTP 200 OK
Allow: GET, HEAD, OPTIONS
Content-Type: application/json
Vary: Accept

{
    "count": 3541,
    "next": "https://api.open5e.com/v2/creatures/?format=api&ordering=truesight_range&page=70",
    "previous": "https://api.open5e.com/v2/creatures/?format=api&ordering=truesight_range&page=68",
    "results": [
        {
            "key": "ccdx_gugalanna",
            "name": "Gugalanna",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Celestial",
                "key": "celestial"
            },
            "size": {
                "name": "Huge",
                "key": "huge"
            },
            "challenge_rating": 21.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 60,
                "unit": "feet",
                "fly": 80
            },
            "speed_all": {
                "unit": "feet",
                "walk": 60,
                "crawl": 30,
                "hover": false,
                "fly": 80,
                "burrow": 0,
                "climb": 30,
                "swim": 30
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic good",
            "languages": {
                "as_string": "understands all but can't speak, telepathy 120 ft.",
                "data": []
            },
            "armor_class": 18,
            "armor_detail": "natural armor",
            "hit_points": 253,
            "hit_dice": "22d12+110",
            "experience_points": 33000,
            "ability_scores": {
                "strength": 24,
                "dexterity": 16,
                "constitution": 20,
                "intelligence": 10,
                "wisdom": 20,
                "charisma": 18
            },
            "modifiers": {
                "strength": 7,
                "dexterity": 3,
                "constitution": 5,
                "intelligence": 0,
                "wisdom": 5,
                "charisma": 4
            },
            "initiative_bonus": 3,
            "saving_throws": {
                "dexterity": 10,
                "constitution": 12,
                "wisdom": 12
            },
            "saving_throws_all": {
                "strength": 7,
                "dexterity": 10,
                "constitution": 12,
                "intelligence": 0,
                "wisdom": 12,
                "charisma": 4
            },
            "skill_bonuses": {
                "athletics": 14,
                "insight": 12,
                "intimidation": 11
            },
            "skill_bonuses_all": {
                "acrobatics": 3,
                "animal_handling": 5,
                "arcana": 0,
                "athletics": 14,
                "deception": 4,
                "history": 0,
                "insight": 12,
                "intimidation": 11,
                "investigation": 0,
                "medicine": 5,
                "nature": 0,
                "perception": 5,
                "performance": 4,
                "persuasion": 4,
                "religion": 0,
                "sleight_of_hand": 3,
                "stealth": 3,
                "survival": 5
            },
            "passive_perception": 15,
            "resistances_and_immunities": {
                "damage_immunities_display": "fire, radiant; bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_immunities": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Radiant",
                        "key": "radiant"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_resistances_display": "necrotic",
                "damage_resistances": [
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, exhaustion, frightened",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Exhaustion",
                        "key": "exhaustion"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Blazing Sun Disc",
                    "desc": "The sun disc floating between Gugalanna's horns flares. Each creature within 30 feet of Gugalanna must make a DC 18 Dexterity saving throw, taking 21 (6d6) fire damage on a failed save, or half as much damage on a successful one.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Blazing Sun Disc (Costs 2 Actions, Recharge 5-6)",
                    "desc": "The sun disc floating between Gugalanna's horns flares. Each creature within 30 feet of Gugalanna must make a DC 18 Dexterity saving throw, taking 21 (6d6) fire damage on a failed save, or half as much damage on a successful one.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Horns",
                    "desc": "Melee Weapon Attack: +14 to hit, reach 5 ft., one target. Hit: 34 (5d10 + 7) piercing damage and 14 (4d6) fire damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Horns attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 14,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 5,
                            "damage_die_type": "D10",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Kick",
                    "desc": "Gugalanna makes a kick attack.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Kick attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 14,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D10",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "Gugalanna makes two attacks: one with its horns and one with its kick.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Rearing Stomp",
                    "desc": "Gugalanna spreads his wings and stomps his hooves, shaking the earth. Each creature within 10 feet of Gugalanna must make a DC 22 Strength saving throw. On a failure, a target takes 18 (2d10 + 7) bludgeoning damage and is pushed 20 feet away from Gugalanna. On a success, a target takes half the damage and isn't pushed. Gugalanna can then fly up to half his flying speed.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Rearing Stomp (Costs 2 Actions)",
                    "desc": "Gugalanna spreads his wings and stomps his hooves, shaking the earth. Each creature within 10 feet of Gugalanna must make a DC 22 Strength saving throw. On a failure, a target takes 18 (2d10 + 7) bludgeoning damage and is pushed 20 feet away from Gugalanna. On a success, a target takes half the damage and isn't pushed. Gugalanna can then fly up to half his flying speed.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Flyby",
                    "desc": "Gugalanna doesn't provoke an opportunity attack when it flies out of an enemy's reach."
                },
                {
                    "name": "Magic Resistance",
                    "desc": "Gugalanna has advantage on saving throws against spells and other magical effects."
                },
                {
                    "name": "Magic Weapons",
                    "desc": "Gugalanna's weapon attacks are magical."
                },
                {
                    "name": "Trampling Charge",
                    "desc": "If Gugalanna moves at least 20 feet straight toward a creature and then hits it with a horns attack on the same turn, that target must succeed on a DC 22 Strength saving throw or be knocked prone. If the target is prone, Gugalanna can make one kick attack against it as a bonus action."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "ccdx_hierophant-lich",
            "name": "Hierophant Lich",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 9.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "any evil alignment",
            "languages": {
                "as_string": "Common, Abyssal, Infernal, Void Speech",
                "data": [
                    {
                        "name": "Abyssal",
                        "key": "abyssal",
                        "desc": "Typical speakers are demons."
                    },
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    },
                    {
                        "name": "Infernal",
                        "key": "infernal",
                        "desc": "Typical speakers are devils."
                    },
                    {
                        "name": "Void Speech",
                        "key": "void-speech",
                        "desc": "Void speech is a rename of Deep Speech from Tome of Beasts."
                    }
                ]
            },
            "armor_class": 14,
            "armor_detail": "natural armor",
            "hit_points": 91,
            "hit_dice": "14d8+28",
            "experience_points": 5000,
            "ability_scores": {
                "strength": 12,
                "dexterity": 13,
                "constitution": 15,
                "intelligence": 12,
                "wisdom": 20,
                "charisma": 17
            },
            "modifiers": {
                "strength": 1,
                "dexterity": 1,
                "constitution": 2,
                "intelligence": 1,
                "wisdom": 5,
                "charisma": 3
            },
            "initiative_bonus": 1,
            "saving_throws": {
                "constitution": 6,
                "intelligence": 5,
                "wisdom": 9
            },
            "saving_throws_all": {
                "strength": 1,
                "dexterity": 1,
                "constitution": 6,
                "intelligence": 5,
                "wisdom": 9,
                "charisma": 3
            },
            "skill_bonuses": {
                "insight": 9,
                "perception": 9,
                "religion": 5
            },
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": 5,
                "arcana": 1,
                "athletics": 1,
                "deception": 3,
                "history": 1,
                "insight": 9,
                "intimidation": 3,
                "investigation": 1,
                "medicine": 5,
                "nature": 1,
                "perception": 9,
                "performance": 3,
                "persuasion": 3,
                "religion": 5,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": 5
            },
            "passive_perception": 19,
            "resistances_and_immunities": {
                "damage_immunities_display": "poison; bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_immunities": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_resistances_display": "cold, lightning, necrotic",
                "damage_resistances": [
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Lightning",
                        "key": "lightning"
                    },
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, exhaustion, frightened, paralyzed, poisoned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Exhaustion",
                        "key": "exhaustion"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Cantrip",
                    "desc": "The hierophant lich casts a cantrip.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Damnation",
                    "desc": "The hierophant lich threatens one creature within 10 feet of it with eternal suffering. The target must succeed on a DC 17 Wisdom saving throw or become frightened for 1 minute. The target can repeat the saving throw at the end of each of its turns, ending the effect on itself on a success. If a target's saving throw is successful or the effect ends for it, the target is immune to the hierophant lich's Damnation for the next 24 hours.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Damnation (Costs 2 Actions)",
                    "desc": "The hierophant lich threatens one creature within 10 feet of it with eternal suffering. The target must succeed on a DC 17 Wisdom saving throw or become frightened for 1 minute. The target can repeat the saving throw at the end of each of its turns, ending the effect on itself on a success. If a target's saving throw is successful or the effect ends for it, the target is immune to the hierophant lich's Damnation for the next 24 hours.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Unholy Smite",
                    "desc": "The heirophant lich uses its Unholy Smite.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Unholy Smite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 1,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Unholy Smite (Costs 2 Actions)",
                    "desc": "The heirophant lich uses its Unholy Smite.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Legendary Resistance (3/Day)",
                    "desc": "If the lich fails a saving throw, it can choose to succeed instead."
                },
                {
                    "name": "Levitate",
                    "desc": "As a bonus action, a hierophant lich can rise or descend vertically up to 20 feet and can remain suspended there. This trait works like the levitate spell, except there is no duration, and the lich doesn't need to concentrate to continue levitating each round."
                },
                {
                    "name": "Rejuvenation",
                    "desc": "If it has a sacred vessel, a destroyed hierophant lich gains a new body in 1d10 days, regaining all its hp and becoming active again. The new body appears within 5 feet of the vessel."
                },
                {
                    "name": "Spellcasting",
                    "desc": "The lich is an 9th-level spellcaster. Its spellcasting ability is Wisdom (spell save DC 17, +9 to hit with spell attacks). The lich has the following cleric spells prepared:\n\n- **Cantrips** (at will): guidance, mending, sacred flame, thaumaturgy\n- **1st Level** (4 slots): command, detect magic, protection from evil and good, sanctuary\n- **2nd Level** (3 slots): blindness/deafness, hold person, silence\n- **3rd Level** (3 slots): animate dead, dispel magic, spirit guardians\n- **4th Level** (3 slots): banishment, freedom of movement, guardian of faith\n- **5th Level** (1 slot): flame strike"
                },
                {
                    "name": "Turn Resistance",
                    "desc": "The hierophant lich has advantage on saving throws against any effect that turns undead."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "ccdx_infernal-knight",
            "name": "Infernal Knight",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Fiend",
                "key": "fiend"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 16.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "fly": 60
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 60,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "lawful evil",
            "languages": {
                "as_string": "Infernal, telepathy 120 ft.",
                "data": [
                    {
                        "name": "Infernal",
                        "key": "infernal",
                        "desc": "Typical speakers are devils."
                    }
                ]
            },
            "armor_class": 18,
            "armor_detail": "plate",
            "hit_points": 247,
            "hit_dice": "26d8+130",
            "experience_points": 15000,
            "ability_scores": {
                "strength": 24,
                "dexterity": 14,
                "constitution": 20,
                "intelligence": 17,
                "wisdom": 21,
                "charisma": 20
            },
            "modifiers": {
                "strength": 7,
                "dexterity": 2,
                "constitution": 5,
                "intelligence": 3,
                "wisdom": 5,
                "charisma": 5
            },
            "initiative_bonus": 2,
            "saving_throws": {
                "dexterity": 7,
                "constitution": 10,
                "wisdom": 10
            },
            "saving_throws_all": {
                "strength": 7,
                "dexterity": 7,
                "constitution": 10,
                "intelligence": 3,
                "wisdom": 10,
                "charisma": 5
            },
            "skill_bonuses": {
                "athletics": 12,
                "insight": 10,
                "perception": 10
            },
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 5,
                "arcana": 3,
                "athletics": 12,
                "deception": 5,
                "history": 3,
                "insight": 10,
                "intimidation": 5,
                "investigation": 3,
                "medicine": 5,
                "nature": 3,
                "perception": 10,
                "performance": 5,
                "persuasion": 5,
                "religion": 3,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": 5
            },
            "passive_perception": 20,
            "resistances_and_immunities": {
                "damage_immunities_display": "fire, necrotic, poison",
                "damage_immunities": [
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "cold; bludgeoning, piercing, and slashing from nonmagical attacks that aren't silvered",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, exhaustion, frightened, poisoned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Exhaustion",
                        "key": "exhaustion"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Greatsword",
                    "desc": "Melee Weapon Attack: +12 to hit, reach 5 ft., one target. Hit: 14 (2d6 + 7) slashing damage plus 17 (5d6) necrotic damage. A creature hit by the sword must succeed on a DC 18 Constitution saving throw or suffer disadvantage on attack rolls and ability checks based on Strength or Dexterity until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Greatsword attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 12,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": 5,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Hellfire Bolt",
                    "desc": "Ranged Spell Attack: +10 to hit, range 120 ft., one target. Hit: 10 (3d6) fire damage plus 17 (5d6) necrotic damage. A creature hit must succeed on a DC 18 Constitution saving throw or its hp maximum is reduced by an amount equal to the necrotic damage taken. This reduction lasts until the target finishes a long rest. The target dies if this effect reduces its hp maximum to 0.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Hellfire Bolt attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 10,
                            "reach": null,
                            "range": 120,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D6",
                            "damage_bonus": null,
                            "damage_type": null,
                            "extra_damage_die_count": 5,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The infernal knight makes two melee attacks or uses its Hellfire Bolt twice. It can replace one attack with Reave Soul.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Planar Rift",
                    "desc": "The infernal knight magically tears a rift in the fabric of the multiverse. The rift is a portal to a plane of the infernal knight's choice. The portal remains open for 1 hour, during which time any creature can pass through it, moving from one plane to the other. A dispel magic spell targeting the rift can destroy it if the caster succeeds on a DC 18 spellcasting ability check.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "PER_DAY",
                        "param": 1
                    }
                },
                {
                    "name": "Reave Soul",
                    "desc": "The infernal knight targets a creature with 0 hp that it can see within 60 feet of it. If the creature is alive, it must succeed on a DC 18 Constitution saving throw or die and have its soul drawn into the infernal knight's greatsword. If the creature is dead and has been dead for less than 1 minute, its soul is automatically captured. When the infernal knight captures a soul, it regains 30 hp, and Reave Soul recharges at the start of its next turn. While a creature's soul is trapped, that creature can't be returned to life by any means short of a wish spell.\n\nA banishment spell targeted at the greatsword forces the infernal knight to make a Charisma saving throw against the spell. On a failed save, any souls trapped in the blade are released instead of the spell's normal effect. Trapped souls are also released when the infernal knight dies.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 5
                    }
                }
            ],
            "traits": [
                {
                    "name": "Faultless Tracker",
                    "desc": "If the infernal knight is given a quarry by its lord, the knight knows the direction and distance to its quarry as long as the two of them are on the same plane of existence."
                },
                {
                    "name": "Magic Resistance",
                    "desc": "The infernal knight has advantage on saving throws against spells and other magical effects."
                },
                {
                    "name": "Magic Weapons",
                    "desc": "The infernal knight's weapon attacks are magical."
                },
                {
                    "name": "Regeneration",
                    "desc": "The infernal knight regains 10 hp at the start of its turn if it has at least 1 hp."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "ccdx_lamassu",
            "name": "Lamassu",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Celestial",
                "key": "celestial"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 10.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "fly": 60
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 60,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "lawful good",
            "languages": {
                "as_string": "all, telepathy 120 ft.",
                "data": []
            },
            "armor_class": 17,
            "armor_detail": "natural armor",
            "hit_points": 147,
            "hit_dice": "14d10+70",
            "experience_points": 5900,
            "ability_scores": {
                "strength": 18,
                "dexterity": 14,
                "constitution": 20,
                "intelligence": 17,
                "wisdom": 18,
                "charisma": 16
            },
            "modifiers": {
                "strength": 4,
                "dexterity": 2,
                "constitution": 5,
                "intelligence": 3,
                "wisdom": 4,
                "charisma": 3
            },
            "initiative_bonus": 2,
            "saving_throws": {
                "dexterity": 6,
                "constitution": 9,
                "wisdom": 8,
                "charisma": 7
            },
            "saving_throws_all": {
                "strength": 4,
                "dexterity": 6,
                "constitution": 9,
                "intelligence": 3,
                "wisdom": 8,
                "charisma": 7
            },
            "skill_bonuses": {
                "arcana": 7,
                "history": 7,
                "insight": 8,
                "perception": 8
            },
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 4,
                "arcana": 7,
                "athletics": 4,
                "deception": 3,
                "history": 7,
                "insight": 8,
                "intimidation": 3,
                "investigation": 3,
                "medicine": 4,
                "nature": 3,
                "perception": 8,
                "performance": 3,
                "persuasion": 3,
                "religion": 3,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": 4
            },
            "passive_perception": 18,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "radiant; bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Radiant",
                        "key": "radiant"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, exhaustion, frightened",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Exhaustion",
                        "key": "exhaustion"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Claw",
                    "desc": "Melee Weapon Attack: +8 to hit, reach 5 ft., one target. Hit: 13 (2d8 + 4) slashing damage plus 9 (2d8) radiant damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Claw attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 8,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D8",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Radiant",
                                "key": "radiant"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Claw Attack",
                    "desc": "The lamassu makes one claw attack.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Detect",
                    "desc": "The lamassu makes a Wisdom (Perception) check.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Healing Touch",
                    "desc": "The lamassu touches a creature. The target magically regains 22 (5d8) hp and is cured of any curses or diseases and of any poisoned, blinded, or deafened conditions afflicting it.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "PER_DAY",
                        "param": 3
                    }
                },
                {
                    "name": "Multiattack",
                    "desc": "The lamassu makes two attacks with its claws.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Wing Attack",
                    "desc": "The lamassu beats its wings. Each creature within 10 feet of it must succeed on a DC 16 Dexterity saving throw or take 11 (2d6 + 4) bludgeoning damage and be knocked prone. The lamassu can then fly up to its flying speed.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Wing Attack (Costs 2 Actions)",
                    "desc": "The lamassu beats its wings. Each creature within 10 feet of it must succeed on a DC 16 Dexterity saving throw or take 11 (2d6 + 4) bludgeoning damage and be knocked prone. The lamassu can then fly up to its flying speed.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Innate Spellcasting",
                    "desc": "The lamassu's innate spellcasting ability is Wisdom (spell save DC 16). It can innately cast the following spells, requiring no material components:\nAt will: detect evil and good, mage hand, magic circle, sacred flame, unseen servant\n3/day each: bless, calm emotions, command, dimension door, invisibility, thunderwave\n1/day each: banishment, flame strike, glyph of warding"
                },
                {
                    "name": "Magic Resistance",
                    "desc": "The lamassu has advantage on saving throws against spells and other magical effects."
                },
                {
                    "name": "Magic Weapons",
                    "desc": "The lamassu's weapon attacks are magical."
                },
                {
                    "name": "Pounce",
                    "desc": "If the lamassu moves at least 20 feet straight toward a creature and then hits it with a claw attack on the same turn, that target must succeed on a DC 16 Strength saving throw or be knocked prone. If the target is prone, the lamassu can make one claw attack against it as a bonus action."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "ccdx_nian",
            "name": "Nian",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Monstrosity",
                "key": "monstrosity"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 4.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 50,
                "unit": "feet",
                "climb": 30,
                "swim": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 50,
                "crawl": 25,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 30,
                "swim": 30
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic neutral",
            "languages": {
                "as_string": "Sylvan, telepathy 60 ft.",
                "data": [
                    {
                        "name": "Sylvan",
                        "key": "sylvan",
                        "desc": "Typical speakers are fey creatures."
                    }
                ]
            },
            "armor_class": 13,
            "armor_detail": "natural armor",
            "hit_points": 102,
            "hit_dice": "12d10+36",
            "experience_points": 1100,
            "ability_scores": {
                "strength": 18,
                "dexterity": 11,
                "constitution": 17,
                "intelligence": 11,
                "wisdom": 16,
                "charisma": 9
            },
            "modifiers": {
                "strength": 4,
                "dexterity": 0,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 3,
                "charisma": -1
            },
            "initiative_bonus": 0,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 4,
                "dexterity": 0,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 3,
                "charisma": -1
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 0,
                "animal_handling": 3,
                "arcana": 0,
                "athletics": 4,
                "deception": -1,
                "history": 0,
                "insight": 3,
                "intimidation": -1,
                "investigation": 0,
                "medicine": 3,
                "nature": 0,
                "perception": 3,
                "performance": -1,
                "persuasion": -1,
                "religion": 0,
                "sleight_of_hand": 0,
                "stealth": 0,
                "survival": 3
            },
            "passive_perception": 13,
            "resistances_and_immunities": {
                "damage_immunities_display": "poison",
                "damage_immunities": [
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, paralyzed, poisoned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "Melee Weapon Attack: +6 to hit, reach 5 ft., one target. Hit: 17 (2d12 + 4) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D12",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Gore",
                    "desc": "Melee Weapon Attack: +6 to hit, reach 5 ft., one target. Hit: 13 (2d8 + 4) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Gore attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D8",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Stomp",
                    "desc": "Melee Weapon Attack: +6 to hit, reach 5 ft., one prone creature. Hit: 15 (2d10 + 4) bludgeoning damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Stomp attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D10",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Year's Termination",
                    "desc": "The nian creates magical darkness and silence around it in a 15-foot-radius sphere that moves with it and spreads around corners. The dark silence lasts as long as the nian maintains concentration, up to 10 minutes (as if concentrating on a spell). The nian sees objects in the sphere in shades of gray. Darkvision can't penetrate the darkness, no natural light can illuminate it, no sound can be created within or pass through it, and any creature or object entirely inside the sphere of dark silence is immune to thunder damage. Creatures entirely inside the darkness are deafened and can't cast spells that include a verbal component. If any of the darkness overlaps with an area of light created by a spell of 2nd level or lower, the spell creating the light is destroyed.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "PER_DAY",
                        "param": 1
                    }
                }
            ],
            "traits": [
                {
                    "name": "Hold Breath",
                    "desc": "The nian can hold its breath for 30 minutes."
                },
                {
                    "name": "Trampling Charge",
                    "desc": "If the nian moves at least 20 feet straight toward a creature and then hits it with a gore attack on the same turn, that target must succeed on a DC 14 Strength saving throw or be knocked prone. If the target is prone, the nian can make one stomp attack against it as a bonus action."
                },
                {
                    "name": "Tremulous",
                    "desc": "The nian is inherently fearful of loud noises, fire, and the color red. It will not choose to move toward any red object or any fiery or burning materials. If presented forcefully with a red object, flame, or if it is dealt fire or thunder damage, the nian must succeed on a DC 13 Wisdom saving throw or become frightened until the end of its next turn. After it has been frightened by a specific red object or a particular source of noise (such as clanging a weapon on a shield) or fire (such as the burning hands spell), the nian can't be frightened by that same source again for 24 hours."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Coast",
                    "key": "coast"
                },
                {
                    "name": "Mountain",
                    "key": "mountain"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "ccdx_pact-drake",
            "name": "Pact Drake",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Dragon",
                "key": "dragon"
            },
            "size": {
                "name": "Small",
                "key": "small"
            },
            "challenge_rating": 1.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet",
                "fly": 60
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 60,
                "burrow": 0,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "lawful neutral",
            "languages": {
                "as_string": "all",
                "data": []
            },
            "armor_class": 14,
            "armor_detail": "natural armor",
            "hit_points": 45,
            "hit_dice": "8d6+24",
            "experience_points": 200,
            "ability_scores": {
                "strength": 9,
                "dexterity": 14,
                "constitution": 17,
                "intelligence": 17,
                "wisdom": 18,
                "charisma": 20
            },
            "modifiers": {
                "strength": -1,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": 3,
                "wisdom": 4,
                "charisma": 5
            },
            "initiative_bonus": 2,
            "saving_throws": {
                "dexterity": 4,
                "wisdom": 6
            },
            "saving_throws_all": {
                "strength": -1,
                "dexterity": 4,
                "constitution": 3,
                "intelligence": 3,
                "wisdom": 6,
                "charisma": 5
            },
            "skill_bonuses": {
                "insight": 8,
                "investigation": 5,
                "perception": 6
            },
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 4,
                "arcana": 3,
                "athletics": -1,
                "deception": 5,
                "history": 3,
                "insight": 8,
                "intimidation": 5,
                "investigation": 5,
                "medicine": 4,
                "nature": 3,
                "perception": 6,
                "performance": 5,
                "persuasion": 5,
                "religion": 3,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": 4
            },
            "passive_perception": 16,
            "resistances_and_immunities": {
                "damage_immunities_display": "psychic, radiant",
                "damage_immunities": [
                    {
                        "name": "Psychic",
                        "key": "psychic"
                    },
                    {
                        "name": "Radiant",
                        "key": "radiant"
                    }
                ],
                "damage_resistances_display": "bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "Melee Weapon Attack: +4 to hit, reach 5 ft., one target. Hit: 4 (1d4 + 2) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D4",
                            "damage_bonus": 2,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Claw",
                    "desc": "Melee Weapon Attack: +4 to hit, reach 5 ft., one target. Hit: 7 (2d4 + 2) slashing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Claw attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D4",
                            "damage_bonus": 2,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Slashing",
                                "key": "slashing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Enforced Diplomacy",
                    "desc": "The pact drake breathes a calming haze in a 30-foot cone. Creatures in the cone must make a DC 15 Charisma saving throw or be charmed for 1 minute. While charmed, a creature also can't attack up to five creatures of the pact drake's choice. A charmed creature can repeat the saving throw at the end of each of its turns, ending the effect on itself with a success.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 5
                    }
                },
                {
                    "name": "Multiattack",
                    "desc": "The pact drake makes two attacks: one with its bite and one with its claw.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Punish Transgressor",
                    "desc": "The drake targets a single creature within 60 feet that broke the terms of a pact witnessed by the drake. The creature must succeed on a DC 15 Charisma saving throw or be blinded, deafened, and stunned for 1d6 minutes. The conditions can be ended early only with a dispel magic (DC 15) spell or similar magic. When these conditions end, the affected creature has disadvantage on saving throws until it finishes a long rest.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Binding Witness",
                    "desc": "Creatures that make a pact or agree to terms while the drake witnesses the agreement are bound by the drake's magic. They have disadvantage on saving throws against scrying by the drake (simply making a successful save against the drake's scrying usually is enough to arouse its suspicion), and they become potential targets for the drake's Punish Transgressor action."
                },
                {
                    "name": "Innate Spellcasting",
                    "desc": "A pact drake's spellcasting ability is Charisma (spell save DC 15). It can cast the following spells, requiring only somatic components:\nAt will: detect magic\n3/day each: arcane eye, clairvoyance, scrying"
                },
                {
                    "name": "Sense Falsehood",
                    "desc": "The drake knows if it hears a lie."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "ccdx_quickstep",
            "name": "Quickstep",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Fey",
                "key": "fey"
            },
            "size": {
                "name": "Small",
                "key": "small"
            },
            "challenge_rating": 5.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 50,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 50,
                "crawl": 25,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 25,
                "swim": 25
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "neutral evil",
            "languages": {
                "as_string": "Common, Elvish, Umbral",
                "data": [
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    },
                    {
                        "name": "Elvish",
                        "key": "elvish",
                        "desc": "Typical speakers are elves."
                    }
                ]
            },
            "armor_class": 16,
            "armor_detail": "studded leather",
            "hit_points": 49,
            "hit_dice": "9d6+18",
            "experience_points": 1800,
            "ability_scores": {
                "strength": 14,
                "dexterity": 19,
                "constitution": 15,
                "intelligence": 10,
                "wisdom": 12,
                "charisma": 14
            },
            "modifiers": {
                "strength": 2,
                "dexterity": 4,
                "constitution": 2,
                "intelligence": 0,
                "wisdom": 1,
                "charisma": 2
            },
            "initiative_bonus": 4,
            "saving_throws": {
                "dexterity": 7,
                "constitution": 5,
                "wisdom": 4
            },
            "saving_throws_all": {
                "strength": 2,
                "dexterity": 7,
                "constitution": 5,
                "intelligence": 0,
                "wisdom": 4,
                "charisma": 2
            },
            "skill_bonuses": {
                "deception": 5,
                "intimidation": 5,
                "perception": 4
            },
            "skill_bonuses_all": {
                "acrobatics": 4,
                "animal_handling": 1,
                "arcana": 0,
                "athletics": 2,
                "deception": 5,
                "history": 0,
                "insight": 1,
                "intimidation": 5,
                "investigation": 0,
                "medicine": 1,
                "nature": 0,
                "perception": 4,
                "performance": 2,
                "persuasion": 2,
                "religion": 0,
                "sleight_of_hand": 4,
                "stealth": 4,
                "survival": 1
            },
            "passive_perception": 14,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "unconscious",
                "condition_immunities": [
                    {
                        "name": "Unconscious",
                        "key": "unconscious"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Freezing Steel",
                    "desc": "Each creature within 10 feet of the quickstep must make a DC 15 Constitution saving throw as the quickstep whirls in a blur of cold steel. On a failure, a target takes 9 (2d8) piercing damage and 7 (2d6) cold damage and is paralyzed for 1 round. On a success, a target takes half the piercing and cold damage and isn't paralyzed.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 6
                    }
                },
                {
                    "name": "Hidden Dagger",
                    "desc": "Melee Weapon Attack: +7 to hit, reach 5 ft., one target. Hit: 6 (1d4 + 4) piercing damage plus 3 (1d6) cold damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Hidden Dagger attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D4",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 1,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Cold",
                                "key": "cold"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Moonlight Rapier",
                    "desc": "Melee Weapon Attack: +7 to hit, reach 5 ft., one target. Hit: 8 (1d8 + 4) piercing damage plus 7 (2d6) cold damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Moonlight Rapier attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D8",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Cold",
                                "key": "cold"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "A quickstep makes two attacks with its moonlight rapier and one with its hidden dagger.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Quick Dodge",
                    "desc": "When a creature the quickstep can see targets it with an attack, the quickstep can move to an unoccupied space within 5 feet of it without provoking opportunity attacks. If this movement would put the quickstep out of reach of the attacker, the attack misses.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "REACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Evasion",
                    "desc": "If the quickstep is subjected to an effect that allows it to make a Dexterity saving throw to take only half damage, the quickstep instead takes no damage if it succeeds on the saving throw, and only half damage if it fails."
                },
                {
                    "name": "Fey Ancestry",
                    "desc": "The quickstep has advantage on saving throws against being charmed, and magic can't put it to sleep."
                },
                {
                    "name": "Startling Speed",
                    "desc": "The movements of a quickstep are so swift that it is almost invisible when in motion. If the quickstep moves at least 10 feet on its turn, attack rolls against it have disadvantage until the start of its next turn unless the quickstep is incapacitated or restrained."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "ccdx_sentinel-in-darkness",
            "name": "Sentinel in Darkness",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Construct",
                "key": "construct"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 7.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "understands the languages of its creator but can't speak",
                "data": []
            },
            "armor_class": 13,
            "armor_detail": "natural armor",
            "hit_points": 127,
            "hit_dice": "15d10+45",
            "experience_points": 2900,
            "ability_scores": {
                "strength": 20,
                "dexterity": 9,
                "constitution": 16,
                "intelligence": 6,
                "wisdom": 18,
                "charisma": 1
            },
            "modifiers": {
                "strength": 5,
                "dexterity": -1,
                "constitution": 3,
                "intelligence": -2,
                "wisdom": 4,
                "charisma": -5
            },
            "initiative_bonus": -1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 5,
                "dexterity": -1,
                "constitution": 3,
                "intelligence": -2,
                "wisdom": 4,
                "charisma": -5
            },
            "skill_bonuses": {
                "perception": 7
            },
            "skill_bonuses_all": {
                "acrobatics": -1,
                "animal_handling": 4,
                "arcana": -2,
                "athletics": 5,
                "deception": -5,
                "history": -2,
                "insight": 4,
                "intimidation": -5,
                "investigation": -2,
                "medicine": 4,
                "nature": -2,
                "perception": 7,
                "performance": -5,
                "persuasion": -5,
                "religion": -2,
                "sleight_of_hand": -1,
                "stealth": -1,
                "survival": 4
            },
            "passive_perception": 17,
            "resistances_and_immunities": {
                "damage_immunities_display": "poison",
                "damage_immunities": [
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, exhaustion, frightened, paralyzed, petrified, poisoned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Exhaustion",
                        "key": "exhaustion"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Curse of the Wanderer",
                    "desc": "One creature the sentinel can see within 30 feet of it must succeed on a DC 15 Wisdom saving throw or suffer the Curse of the Wanderer. While cursed, the creature's speed is halved and it can't regain hp. For every 24 hours it goes without discovering or learning new information, it takes 10 (3d6) psychic damage. The curse lasts until it is lifted by a remove curse spell or similar magic.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 6
                    }
                },
                {
                    "name": "Multiattack",
                    "desc": "The sentinel makes two stone fist attacks. If both attacks hit a Large or smaller creature, the target must succeed on a DC 15 Wisdom saving throw or lose one non-weapon, non-armor object that is small enough to fit in one hand. The object is teleported to a random unoccupied space within 200 feet of the sentinel. The target feels a mental tug in the general direction of the item until it is recovered.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Stone Fist",
                    "desc": "Melee Weapon Attack: +8 to hit, reach 10 ft., one target. Hit: 18 (2d12 + 5) bludgeoning damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Stone Fist attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 8,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D12",
                            "damage_bonus": 5,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Scourge of the Seekers",
                    "desc": "The sentinel has advantage on attack rolls against creatures with darkvision, blindsight, or truesight."
                },
                {
                    "name": "Vault Keeper",
                    "desc": "Secret doors and illusory walls within 1,500 feet of the sentinel have the DC to detect their presence increased by 5."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "ccdx_tveirherjar",
            "name": "Tveirherjar",
            "document": {
                "name": "Creature Codex",
                "key": "ccdx",
                "type": "SOURCE",
                "display_name": "Creature Codex",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/creature-codex-for-5th-edition-dnd/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 7.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "lawful evil",
            "languages": {
                "as_string": "Common, Draconic",
                "data": [
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    },
                    {
                        "name": "Draconic",
[...]
